package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.validator.constraints.Range;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
@Entity
@Table(name = "lj_course")
@DynamicInsert
@DynamicUpdate
public class Course implements Serializable{

    @Id
    private Long id;

    @Column(nullable = false, unique = true)
    private String code;

    @Column
    private String name;

    @Column
    private String title;

    @Column
    private String digest;

    @Column
    private String detail;

    @Column
    private String keyword;

    @Column(name = "cv_img_ids")
    private String cvImgIds;

    @Column(name = "bg_img_ids")
    private String bgImgIds;

    @Column
    private Integer status;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    private Date gmtModified;

}
