package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_item")
@DynamicInsert
@DynamicUpdate
public class Item implements Serializable {

    @Id
    private Long id;

    @Column
    private String code;

    @Column
    private Integer type;

    @Column(name = "merchant_id")
    private Long merchantId;

    @Column
    private Integer sort;

    @Column
    private Integer status;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    private Timestamp gmtCreated;

    @Column(name = "gmt_modified")
    private Timestamp gmtModified;
}
