package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_item_price")
@DynamicInsert
@DynamicUpdate
public class ItemPrice implements Serializable {

    @Id
    private Long id;

    @Column
    private String name;

    @Column(name = "item_id")
    private Long itemId;

    @Column
    private Integer type;

    @Column
    private Integer duration;

    @Column(name = "cp_price")
    private Double cpPrice;

    @Column(name = "mr_price")
    private Double mrPrice;

    @Column(name = "tr_price")
    private Double trPrice;

    @Column
    private Integer status;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    private Timestamp gmtCreated;

    @Column(name = "gmt_modified")
    private Timestamp gmtModified;
}
