package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_support")
@DynamicInsert
@DynamicUpdate
public class Support implements Serializable {

    @Id
    private Long id;

    @Column
    private String code;

    @Column
    private String name;

    @Column
    private String title;

    @Column
    private Integer type;

    @Column
    private String digest;

    @Column
    private String detail;

    @Column(name = "img_ids")
    private String imgIds;

    @Column
    private Integer status;

    @Column(name = "gmt_created", insertable = false, updatable = false)
    private Timestamp gmtCreated;

    @Column(name = "gmt_modified")
    private Timestamp gmtModified;
}
