package cn.rankin.productservice.entity;

import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.validator.constraints.Range;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;

@Data
@ToString
@Entity
@Table(name = "lj_ware")
@DynamicInsert
@DynamicUpdate
public class Ware implements Serializable{

    @Id
    private Long id;

    @Column(nullable = false, unique = true)
    private String code;

    @Column
    private String name;

    @Column
    private String digest;

    @Column
    @Range(min = 0, max = 100)
    private Integer type;

    @Column(name = "play_url")
    private String playUrl;

    @Column(name = "img_ids")
    private String imgIds;

    @Column
    private Integer sort;

    @Column
    private Integer status;

    @Column(name = "gmt_created", updatable = false, insertable = false)
    private Timestamp gmtCreated;

    @Column(name = "gmt_modified")
    private Timestamp gmtModified;

}
