package cn.rankin.resourceservice.entity;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.ToString;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@ToString
@Entity
@Table(name = "lj_resource")
@DynamicInsert
@DynamicUpdate
public class Resource implements Serializable {

    @Id
    private String id;

    @Column
    private String code;

    @Column
    private String name;

    @Column
    private Integer type;

    @Column
    private String format;

    @Column
    private String quality;

    @Column
    private Long size;

    @Column
    private String path;

    @Column
    @Enumerated(EnumType.ORDINAL)
    private BaseStatusEnum status;

    @Column(name = "gmt_created")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtCreated;

    @Column(name = "gmt_modified")
    @Temporal(TemporalType.TIMESTAMP)
    private Date gmtModified;

    @Transient
    private String url;

    @JsonIgnore
    public boolean isRight() {
        if (code == null || code.length() == 0) {
            return false;
        }

        if (path == null || path.length() == 0) {
            return false;
        }

        return true;
    }
}
