package cn.rankin.resourceservice.proxy;

import cn.rankin.common.utils.entity.api.APIResult;
import cn.rankin.common.utils.entity.page.Page;
import cn.rankin.resourceservice.dto.ResourceRemote;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "remote-resource", url = "${remote.resource.url}")
public interface RemoteResourceProxy {

    @RequestMapping(value = "rcenter/v1/resources/page", method = RequestMethod.GET)
    APIResult<Page<ResourceRemote>> findPage(@RequestParam Map<String, Object> map);

    @RequestMapping(value = "rcenter/v1/resources/no/{code}", method = RequestMethod.GET)
    APIResult<ResourceRemote> findByCode(@PathVariable("code") String code);
}
