package cn.rankin.resourceservice.repository;

import cn.rankin.common.utils.entity.page.Page;
import cn.rankin.resourceservice.entity.Resource;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.math.BigInteger;
import java.util.List;

public class ResourceRepositoryImpl implements BasicRepository{

    private static final String TABLE = "lj_resource";

    @PersistenceContext
    private EntityManager em;

    public List<Resource> search(String code, String name, String sort, Long start, Integer pageSize) {

        StringBuilder buf = new StringBuilder(String.format("SELECT * FROM %s WHERE 1=1", TABLE));

        if (code != null && code.length() > 0) {
            buf.append(String.format(" AND code LIKE '%%%s%%'", code));
        }

        if (name != null && name.length() > 0) {
            buf.append(String.format(" AND name LIKE '%%%s%%'", name));
        }

        if (sort != null && sort.length() > 0) {
            buf.append(String.format(" ORDER BY %s", sort));
        }

        buf.append(String.format(" LIMIT %d OFFSET %d", pageSize, start));


        List<Resource> result = em.createNativeQuery(buf.toString(), Resource.class).getResultList();

        return result;
    }

    public Long count(String code, String name) {

        StringBuilder buf = new StringBuilder(String.format("SELECT COUNT(*) FROM %s WHERE 1=1", TABLE));

        if (code != null && code.length() > 0) {
            buf.append(String.format(" AND code LIKE '%%%s%%'", code));
        }

        if (name != null && name.length() > 0) {
            buf.append(String.format(" AND name LIKE '%%%s%%'", name));
        }

        Query query = em.createNativeQuery(buf.toString());
        BigInteger totalSize = (BigInteger) query.getSingleResult();

        return totalSize.longValue();
    }
}
